Knowlege base

How to solve IAS update failure, on a Windows Server 2008/2008R2 appliance

Article ID: 687
Last updated: 15 Jun, 2020

Applies to:

IAS update from 2017.Summer.1 or older release, to 2020.Winter.1h3 release or newer, running on Windows Server 2008 or Windows Server 2008 R2 appliance/VM is failing due to missing .NET Framework 4.5.2.

If you are having issues with installation from scratch on Windows Server 2008/2008 R2 see this KB article.

Description:

This article describes how to deal with failing IAS update, where setup stops with the following message:

Imagicle ApplicationSuite requires at least .NET Framework 4.5.2

This is happening when IAS package setup does not detect .NET Framework 4.5.2 availability on Imagicle server.

Starting from 2019.Winter.1h3 release, relevant package setup installs .NET Framework 4.6.2, which is unfortunately not supported on Windows Server OS lower that 2012. If you actually got Windows Server 2008 or Windows Server 2008 R2 and you update your IAS from 2017.Summer.1 or older release, directly to 2019.Winter.1h3 release or newer, it fails because .NET Framework 4.6.2 is not supported AND .NET Framework 4.5.2 is not present. Same thing applies if you try to install 2020.Winter.1h3 release from scratch.

There are two possible workarounds to solve this issue:

  • Install from scratch or update existing IAS to 2019.Spring.1 release first (last release still integrating .NET Framework 4.5.2) and then update to  2020.Winter.1h3 or newer.
    You can download 2019.Spring.1 from here:
    • for Cisco UC, please rename file as ImagicleApplicationSuite-CCM-2019.Spring.1.h7.exe
    • For Cross Platform, please rename file as ImagicleApplicationSuite-XPL-2019.Spring.1.h7.exe
    • For Skype for Business, please rename file as ImagicleApplicationSuite-SFB-2019.Spring.1.h7.exe
  • Manually install .NET Framework 4.5.2 using relevant installer available here.

Article ID: 687
Last updated: 15 Jun, 2020
Revision: 2
Views: 99
Print Export to PDF Subscribe Share
This article was:  
Prev   Next
How to Install from scratch IAS 2019.Summer.1 release (or newer)...     Unexpected error. Unable to install role: Web server (IIS) and...